# BasicClassAccessorBase Class Reference

The base class for BasicClassAccessor. More...

`#include <BasicClassAccessorBase.h>`

Inheritance diagram for BasicClassAccessorBase:

[legend]
List of all members.

## Public Member Functions

| BasicClassAccessorBase ()

## Protected Member Functions

virtual BasicClassFactoryBase< void > * | createClassFactory ()=0
void | setId (const int id)
| Called by on registration by BasicClassGroupFactory to set this accessors id.
void * | getClass (BasicClassGroup *group) const
| Called by BasicClassAccessor to get a pointer to this accessors class in the group.

## Private Attributes

int | id

## Detailed Description

The base class for BasicClassAccessor.

See BasicClassGroupFactory.

## Constructor & Destructor Documentation

BasicClassAccessorBase::BasicClassAccessorBase | ( |  | ) | `[inline]`

## Member Function Documentation

virtual BasicClassFactoryBase<void>* BasicClassAccessorBase::createClassFactory | ( |  | ) | `[protected, pure virtual]`

| Implemented in BasicClassAccessor< T >.

void* BasicClassAccessorBase::getClass | ( | BasicClassGroup * | group | ) | const`[inline, protected]`

| Called by BasicClassAccessor to get a pointer to this accessors class in the group.

void BasicClassAccessorBase::setId | ( | const int | id | ) | `[inline, protected]`

Called by on registration by BasicClassGroupFactory to set this accessors id.

Parameters:

  | id | The assigned id.

## Member Data Documentation

int BasicClassAccessorBase::id `[private]`

The documentation for this class was generated from the following file:

- BasicClassAccessorBase.h